#include <QApplication>
#include <QLockFile>
#include <QDir>
#include <QMessageBox>
#include "legacyapplication.h"

// Global. Should be updated only by MainWindow!!!
double window_height = 1000;
double window_width = 648;

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);

    if (argc <= 1 || (argc > 1 && std::string(argv[1]) != "-prelaunched")) {
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);

        #ifdef DEBUG
            msgBox.setText("ЭТО ТЕСТОВАЯ ВЕРСИЯ ЛАУНЧЕРА! НЕ ДЛЯ РАСПРОСТРАНЕНИЯ!");
            msgBox.exec();
            long long cur_time = time(0);
            if (cur_time >= DEBUG_EXPIRE)
                return 0;
        #else
            msgBox.setText("Запуск Наследия невозможен без лаунчера. Используйте лаунчер Наследия для запуска приложения!");
            msgBox.exec();
            return 0;
        #endif
    }

    QLockFile lockFile(QDir::temp().absoluteFilePath("rulotro.lock"));
    if(!lockFile.tryLock(100)){
        qDebug() << "Lock file already exists! Some other application is already running...";
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.setText("Приложение уже запущено.\nРазрешено запускать только один экземпляр приложения.\nЕсли вы уверены, что Наследие закрыто, попробуйте перезагрузить компьютер.");
        msgBox.exec();
        return false;
    }

    if (!LegacyApplication::instance().init()) {
        return 1;
    }

    return app.exec();
}
