#include "ui_helpwidget.h"

#include "widgets/helpwidget.h"
#include "widgets/mainwindow.h"
#include "fonts.h"
#include <QDebug>
#include <QScrollBar>

HelpWidget::HelpWidget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::HelpWidget)
{
    ui->setupUi(this);
    dynamic_cast<MainWindow*>(parent)->getNewsWidget()->show();
    dynamic_cast<MainWindow*>(parent)->getNewsWidget()->setGeometry(45, 185, 240, 453);
}

HelpWidget::~HelpWidget()
{
    delete ui;
}

void HelpWidget::updateFontsSizes()
{
    ui->label_6->setFont(crimson_16pt);
    ui->news_label->setFont(trajan_10pt);
}

void HelpWidget::show()
{
    dynamic_cast<MainWindow*>(window())->getNewsWidgetOverlay()->setParent(this);
    dynamic_cast<MainWindow*>(window())->getNewsWidgetOverlay()->setGeometry(45, 75, 240, 453);
    dynamic_cast<MainWindow*>(window())->getNewsWidgetOverlay()->show();
    QWidget::show();
}

void HelpWidget::hide()
{
    dynamic_cast<MainWindow*>(window())->getNewsWidgetOverlay()->hide();
    QWidget::hide();
}

void HelpWidget::resizeEvent(QResizeEvent*)
{
    updateFontsSizes();
}

