#ifndef GIFANIMATIONDEMOWIDGET_H
#define GIFANIMATIONDEMOWIDGET_H

#include <QWidget>
#include <QMovie>
#include <QMediaPlayer>
#include <QMediaPlaylist>
#include <QVideoWidget>
#include <QList>
#include <QStandardPaths>

#include "downloader.h"

namespace Ui {
class GIFAnimationDemoWidget;
}

class GIFAnimationDemoWidget : public QWidget {
    Q_OBJECT

public:
    explicit GIFAnimationDemoWidget( QWidget* parent = 0 );
    ~GIFAnimationDemoWidget();

    void startFilesDownload();

protected:
    void resizeEvent(QResizeEvent *event) override;


private slots:
    void onFileListReady();
    void onDownloadNextEnqueuedFileFinished(Downloader* downloader);
    void onDownloadProgressChanged(Downloader* downloader, Downloader::Status status);

    void downloadNextEnqueuedFile();
    void startNewAnimation();
    void startApplication();

private:
    const QString base_url = "http://translate.lotros.ru/upload/launcher_v2/";
    const QString target_folder = "./";

    Downloader* data_downloader;
    QByteArray downloaded_data;
    QList<QString> files_to_download;

    int files_total = 0;
    int files_downloaded = 0;

    Ui::GIFAnimationDemoWidget* ui;

    QMovie * movie;
    QMediaPlayer *player;
    QMediaPlaylist *playlist;
    QVideoWidget *videoWidget;
};

#endif // GIFANIMATIONDEMOWIDGET_H
